package bookranking;

import java.io.Serializable;

/**
 * 書籍一覧項目クラス。
 */
public class BookItem implements Serializable {
    /** タイトル。 */
    private String title = null;
    /** 著者。 */
    private String author = null;
    /** 出版社。 */
    private String publisher = null;
    /** 表示用価格。 */
    private String displayPrice = null;
    /** ISBN。 */
    private String isbn = null;
    /** URL。 */
    private String url = null;
    /** 画像URL。 */
    private String imageUrl = null;
    /**
     * タイトルを戻します。
     * @return タイトル
     */
    public String getTitle() {
        return title;
    }
    /**
     * タイトルを設定します。
     * @param newTitle タイトル
     */
    public void setTitle(String newTitle) {
        this.title = newTitle;
    }
    /**
     * 著者名を戻します。
     * @return 著者名
     */
    public String getAuthor() {
        return author;
    }
    /**
     * 著者名を設定します。
     * @param newAuthor 著者名
     */
    public void setAuthor(String newAuthor) {
        this.author = newAuthor;
    }
    /**
     * 出版社を戻します。
     * @return 出版社
     */
    public String getPublisher() {
        return publisher;
    }
    /**
     * 出版社を設定します。
     * @param newPublisher 出版社
     */
    public void setPublisher(String newPublisher) {
        this.publisher = newPublisher;
    }
    /**
     * 表示用価格を戻します。
     * @return 表示用価格
     */
    public String getDisplayPrice() {
        return displayPrice;
    }
    /**
     * 表示用価格を設定します。
     * @param newDisplayPrice 表示用価格
     */
    public void setDisplayPrice(String newDisplayPrice) {
        this.displayPrice = newDisplayPrice;
    }
    /**
     * ISBNを戻します。
     * @return ISBN
     */
    public String getIsbn() {
        return isbn;
    }
    /**
     * ISBNを設定します。
     * @param newIsbn ISBN
     */
    public void setIsbn(String newIsbn) {
        this.isbn = newIsbn;
    }
    /**
     * URLを戻します。
     * @return URL
     */
    public String getUrl() {
        return url;
    }
    /**
     * URLを設定します。
     * @param newUrl URL
     */
    public void setUrl(String newUrl) {
        this.url = newUrl;
    }
    /**
     * 画像URLを戻します。
     * @return 画像URL
     */
    public String getImageUrl() {
        return imageUrl;
    }
    /**
     * 画像URLを設定します。
     * @param newImageUrl 画像URL
     */
    public void setImageUrl(String newImageUrl) {
        this.imageUrl = newImageUrl;
    }
    /**
     * {@inheritDoc}
     */
    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append("title:" + title + "\n");
        sb.append("author:" +author + "\n");
        sb.append("publisher:" + publisher + "\n");
        sb.append("price:" + displayPrice + "\n");
        sb.append("ISBN:" + isbn + "\n");
        sb.append("URL:" + url + "\n");
        sb.append("image:" + imageUrl + "\n");
        return sb.toString();
    }
}
